com.sun.grid.jgdi.configuration

## Class EventClientImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.EventClientImpl

- All Implemented Interfaces:
    EventClient, GEObject, java.io.Serializable, java.lang.Cloneable

      public class EventClientImpl
      extends GEObjectImpl
      implements EventClient

  Java representation of the cull object EV_Type defined in sge_all_listsL.template

  Warning: The EventClientImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventClientImpl()` Create a new instance of EventClientImpl.
    `EventClientImpl(boolean initWithDefaultValues)` Create a new instanceof
    `EventClientImpl(int id)` Create a new instance of EventClientImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvents(Event aevents)` Add a com.sun.grid.jgdi.configuration.Event attribute.
    `void` | `addSubscribed(EventSubcribtion asubscribed)` Add a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getBusy()` Get the value of the busy attribute.
    `int` | `getBusyHandling()` Get the value of the busyHandling attribute.
    `int` | `getCommid()` Get the value of the commid attribute.
    `java.lang.String` | `getCommproc()` Get the value of the commproc attribute.
    `int` | `getDTime()` Get the value of the dTime attribute.
    `Event` | `getEvents(int index)` Get a com.sun.grid.jgdi.configuration.Event attribute at an index.
    `int` | `getEventsCount()` Get the number of com.sun.grid.jgdi.configuration.Event attributes.
    `java.util.List<Event>` | `getEventsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Event attributes.
    `int` | `getFlushDelay()` Get the value of the flushDelay attribute.
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `int` | `getId()` Get the value of the id attribute.
    `int` | `getLastHeardFrom()` Get the value of the lastHeardFrom attribute.
    `int` | `getLastSendTime()` Get the value of the lastSendTime attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getNextNumber()` Get the value of the nextNumber attribute.
    `int` | `getNextSendTime()` Get the value of the nextSendTime attribute.
    `java.lang.String` | `getSession()` Get the value of the session attribute.
    `int` | `getState()` Get the value of the state attribute.
    `EventSubcribtion` | `getSubscribed(int index)` Get a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
    `int` | `getSubscribedCount()` Get the number of com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
    `java.util.List<EventSubcribtion>` | `getSubscribedList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
    `int` | `getUid()` Get the value of the uid attribute.
    `boolean` | `isChanged()` Get the value of the changed attribute.
    `boolean` | `isSetBusy()` Determine if the busy attribute is set
    `boolean` | `isSetBusyHandling()` Determine if the busyHandling attribute is set
    `boolean` | `isSetChanged()` Determine if the changed attribute is set
    `boolean` | `isSetCommid()` Determine if the commid attribute is set
    `boolean` | `isSetCommproc()` Determine if the commproc attribute is set
    `boolean` | `isSetDTime()` Determine if the dTime attribute is set
    `boolean` | `isSetEvents()` Determine if the events attribute is set
    `boolean` | `isSetFlushDelay()` Determine if the flushDelay attribute is set
    `boolean` | `isSetHost()` Determine if the host attribute is set
    `boolean` | `isSetId()` Determine if the id attribute is set
    `boolean` | `isSetLastHeardFrom()` Determine if the lastHeardFrom attribute is set
    `boolean` | `isSetLastSendTime()` Determine if the lastSendTime attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetNextNumber()` Determine if the nextNumber attribute is set
    `boolean` | `isSetNextSendTime()` Determine if the nextSendTime attribute is set
    `boolean` | `isSetSession()` Determine if the session attribute is set
    `boolean` | `isSetState()` Determine if the state attribute is set
    `boolean` | `isSetSubscribed()` Determine if the subscribed attribute is set
    `boolean` | `isSetUid()` Determine if the uid attribute is set
    `void` | `removeAllEvents()` Remove all com.sun.grid.jgdi.configuration.Event attributes.
    `void` | `removeAllSubscribed()` Remove all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
    `boolean` | `removeEvents(Event aevents)` Remote a specific com.sun.grid.jgdi.configuration.Event attribute.
    `Event` | `removeEvents(int index)` Remote a com.sun.grid.jgdi.configuration.Event attribute at an index.
    `boolean` | `removeSubscribed(EventSubcribtion asubscribed)` Remote a specific com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
    `EventSubcribtion` | `removeSubscribed(int index)` Remote a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
    `void` | `setBusy(int aBusy)` Set the busy attribute.
    `void` | `setBusyHandling(int aBusyHandling)` Set the busyHandling attribute.
    `void` | `setChanged(boolean aChanged)` Set the changed attribute.
    `void` | `setCommid(int aCommid)` Set the commid attribute.
    `void` | `setCommproc(java.lang.String aCommproc)` Set the commproc attribute.
    `void` | `setDTime(int aDTime)` Set the dTime attribute.
    `void` | `setEvents(int index, Event aevents)` Set a com.sun.grid.jgdi.configuration.Event attribute.
    `void` | `setFlushDelay(int aFlushDelay)` Set the flushDelay attribute.
    `void` | `setHost(java.lang.String aHost)` Set the host attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setLastHeardFrom(int aLastHeardFrom)` Set the lastHeardFrom attribute.
    `void` | `setLastSendTime(int aLastSendTime)` Set the lastSendTime attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setNextNumber(int aNextNumber)` Set the nextNumber attribute.
    `void` | `setNextSendTime(int aNextSendTime)` Set the nextSendTime attribute.
    `void` | `setSession(java.lang.String aSession)` Set the session attribute.
    `void` | `setState(int aState)` Set the state attribute.
    `void` | `setSubscribed(int index, EventSubcribtion asubscribed)` Set a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
    `void` | `setUid(int aUid)` Set the uid attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### EventClientImpl

          public EventClientImpl()

      Create a new instance of EventClientImpl. The new instance will not be initialized with the default values.

    - #### EventClientImpl

          public EventClientImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### EventClientImpl

          public EventClientImpl(int id)

      Create a new instance of EventClientImpl

  - ### Method Detail

    - #### isSetId

          public boolean isSetId()

      Determine if the id attribute is set
      Specified by:
        `isSetId` in interface `EventClient`
      Returns:
        `true` if the id attribute is set

    - #### setId

          public void setId(int aId)

      Set the id attribute.
      Specified by:
        `setId` in interface `EventClient`
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          public int getId()

      Get the value of the id attribute.
      Specified by:
        `getId` in interface `EventClient`
      Returns:
        the value of the id attribute

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `EventClient`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `EventClient`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `EventClient`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetHost

          public boolean isSetHost()

      Determine if the host attribute is set
      Specified by:
        `isSetHost` in interface `EventClient`
      Returns:
        `true` if the host attribute is set

    - #### setHost

          public void setHost(java.lang.String aHost)

      Set the host attribute.
      Specified by:
        `setHost` in interface `EventClient`
      Parameters:
        `aHost` - the new value for the host attribute

    - #### getHost

          public java.lang.String getHost()

      Get the value of the host attribute.
      Specified by:
        `getHost` in interface `EventClient`
      Returns:
        the value of the host attribute

    - #### isSetCommproc

          public boolean isSetCommproc()

      Determine if the commproc attribute is set
      Specified by:
        `isSetCommproc` in interface `EventClient`
      Returns:
        `true` if the commproc attribute is set

    - #### setCommproc

          public void setCommproc(java.lang.String aCommproc)

      Set the commproc attribute.
      Specified by:
        `setCommproc` in interface `EventClient`
      Parameters:
        `aCommproc` - the new value for the commproc attribute

    - #### getCommproc

          public java.lang.String getCommproc()

      Get the value of the commproc attribute.
      Specified by:
        `getCommproc` in interface `EventClient`
      Returns:
        the value of the commproc attribute

    - #### isSetCommid

          public boolean isSetCommid()

      Determine if the commid attribute is set
      Specified by:
        `isSetCommid` in interface `EventClient`
      Returns:
        `true` if the commid attribute is set

    - #### setCommid

          public void setCommid(int aCommid)

      Set the commid attribute.
      Specified by:
        `setCommid` in interface `EventClient`
      Parameters:
        `aCommid` - the new value for the commid attribute

    - #### getCommid

          public int getCommid()

      Get the value of the commid attribute.
      Specified by:
        `getCommid` in interface `EventClient`
      Returns:
        the value of the commid attribute

    - #### isSetUid

          public boolean isSetUid()

      Determine if the uid attribute is set
      Specified by:
        `isSetUid` in interface `EventClient`
      Returns:
        `true` if the uid attribute is set

    - #### setUid

          public void setUid(int aUid)

      Set the uid attribute.
      Specified by:
        `setUid` in interface `EventClient`
      Parameters:
        `aUid` - the new value for the uid attribute

    - #### getUid

          public int getUid()

      Get the value of the uid attribute.
      Specified by:
        `getUid` in interface `EventClient`
      Returns:
        the value of the uid attribute

    - #### isSetDTime

          public boolean isSetDTime()

      Determine if the dTime attribute is set
      Specified by:
        `isSetDTime` in interface `EventClient`
      Returns:
        `true` if the dTime attribute is set

    - #### setDTime

          public void setDTime(int aDTime)

      Set the dTime attribute.
      Specified by:
        `setDTime` in interface `EventClient`
      Parameters:
        `aDTime` - the new value for the dTime attribute

    - #### getDTime

          public int getDTime()

      Get the value of the dTime attribute.
      Specified by:
        `getDTime` in interface `EventClient`
      Returns:
        the value of the dTime attribute

    - #### isSetFlushDelay

          public boolean isSetFlushDelay()

      Determine if the flushDelay attribute is set
      Specified by:
        `isSetFlushDelay` in interface `EventClient`
      Returns:
        `true` if the flushDelay attribute is set

    - #### setFlushDelay

          public void setFlushDelay(int aFlushDelay)

      Set the flushDelay attribute.
      Specified by:
        `setFlushDelay` in interface `EventClient`
      Parameters:
        `aFlushDelay` - the new value for the flushDelay attribute

    - #### getFlushDelay

          public int getFlushDelay()

      Get the value of the flushDelay attribute.
      Specified by:
        `getFlushDelay` in interface `EventClient`
      Returns:
        the value of the flushDelay attribute

    - #### addSubscribed

          public void addSubscribed(EventSubcribtion asubscribed)

      Add a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
      Specified by:
        `addSubscribed` in interface `EventClient`
      Parameters:
        `asubscribed` - the new com.sun.grid.jgdi.configuration.EventSubcribtion attribute

    - #### setSubscribed

          public void setSubscribed(int index,
                                    EventSubcribtion asubscribed)

      Set a com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
      Specified by:
        `setSubscribed` in interface `EventClient`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.EventSubcribtion attribute
        `asubscribed` - the new com.sun.grid.jgdi.configuration.EventSubcribtion attribute

    - #### removeAllSubscribed

          public void removeAllSubscribed()

      Remove all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
      Specified by:
        `removeAllSubscribed` in interface `EventClient`

    - #### removeSubscribed

          public EventSubcribtion removeSubscribed(int index)

      Remote a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
      Specified by:
        `removeSubscribed` in interface `EventClient`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.EventSubcribtion attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.EventSubcribtion attribute or `null` if no attribute at this index is stored

    - #### removeSubscribed

          public boolean removeSubscribed(EventSubcribtion asubscribed)

      Remote a specific com.sun.grid.jgdi.configuration.EventSubcribtion attribute.
      Specified by:
        `removeSubscribed` in interface `EventClient`
      Parameters:
        `asubscribed` - the com.sun.grid.jgdi.configuration.EventSubcribtion attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.EventSubcribtion attribute has been removed

    - #### getSubscribedList

          public java.util.List<EventSubcribtion> getSubscribedList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
      Specified by:
        `getSubscribedList` in interface `EventClient`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.EventSubcribtion attributes

    - #### getSubscribedCount

          public int getSubscribedCount()

      Get the number of com.sun.grid.jgdi.configuration.EventSubcribtion attributes.
      Specified by:
        `getSubscribedCount` in interface `EventClient`
      Returns:
        The number of com.sun.grid.jgdi.configuration.EventSubcribtion attributes.

    - #### getSubscribed

          public EventSubcribtion getSubscribed(int index)

      Get a com.sun.grid.jgdi.configuration.EventSubcribtion attribute at an index.
      Specified by:
        `getSubscribed` in interface `EventClient`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.EventSubcribtion attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.EventSubcribtion attribute

    - #### isSetSubscribed

          public boolean isSetSubscribed()

      Determine if the subscribed attribute is set
      Specified by:
        `isSetSubscribed` in interface `EventClient`
      Returns:
        `true` if the subscribed attribute is set

    - #### isSetChanged

          public boolean isSetChanged()

      Determine if the changed attribute is set
      Specified by:
        `isSetChanged` in interface `EventClient`
      Returns:
        `true` if the changed attribute is set

    - #### setChanged

          public void setChanged(boolean aChanged)

      Set the changed attribute.
      Specified by:
        `setChanged` in interface `EventClient`
      Parameters:
        `aChanged` - the new value for the changed attribute

    - #### isChanged

          public boolean isChanged()

      Get the value of the changed attribute.
      Specified by:
        `isChanged` in interface `EventClient`
      Returns:
        the value of the changed attribute

    - #### isSetBusyHandling

          public boolean isSetBusyHandling()

      Determine if the busyHandling attribute is set
      Specified by:
        `isSetBusyHandling` in interface `EventClient`
      Returns:
        `true` if the busyHandling attribute is set

    - #### setBusyHandling

          public void setBusyHandling(int aBusyHandling)

      Set the busyHandling attribute.
      Specified by:
        `setBusyHandling` in interface `EventClient`
      Parameters:
        `aBusyHandling` - the new value for the busyHandling attribute

    - #### getBusyHandling

          public int getBusyHandling()

      Get the value of the busyHandling attribute.
      Specified by:
        `getBusyHandling` in interface `EventClient`
      Returns:
        the value of the busyHandling attribute

    - #### isSetSession

          public boolean isSetSession()

      Determine if the session attribute is set
      Specified by:
        `isSetSession` in interface `EventClient`
      Returns:
        `true` if the session attribute is set

    - #### setSession

          public void setSession(java.lang.String aSession)

      Set the session attribute.
      Specified by:
        `setSession` in interface `EventClient`
      Parameters:
        `aSession` - the new value for the session attribute

    - #### getSession

          public java.lang.String getSession()

      Get the value of the session attribute.
      Specified by:
        `getSession` in interface `EventClient`
      Returns:
        the value of the session attribute

    - #### isSetLastHeardFrom

          public boolean isSetLastHeardFrom()

      Determine if the lastHeardFrom attribute is set
      Specified by:
        `isSetLastHeardFrom` in interface `EventClient`
      Returns:
        `true` if the lastHeardFrom attribute is set

    - #### setLastHeardFrom

          public void setLastHeardFrom(int aLastHeardFrom)

      Set the lastHeardFrom attribute.
      Specified by:
        `setLastHeardFrom` in interface `EventClient`
      Parameters:
        `aLastHeardFrom` - the new value for the lastHeardFrom attribute

    - #### getLastHeardFrom

          public int getLastHeardFrom()

      Get the value of the lastHeardFrom attribute.
      Specified by:
        `getLastHeardFrom` in interface `EventClient`
      Returns:
        the value of the lastHeardFrom attribute

    - #### isSetLastSendTime

          public boolean isSetLastSendTime()

      Determine if the lastSendTime attribute is set
      Specified by:
        `isSetLastSendTime` in interface `EventClient`
      Returns:
        `true` if the lastSendTime attribute is set

    - #### setLastSendTime

          public void setLastSendTime(int aLastSendTime)

      Set the lastSendTime attribute.
      Specified by:
        `setLastSendTime` in interface `EventClient`
      Parameters:
        `aLastSendTime` - the new value for the lastSendTime attribute

    - #### getLastSendTime

          public int getLastSendTime()

      Get the value of the lastSendTime attribute.
      Specified by:
        `getLastSendTime` in interface `EventClient`
      Returns:
        the value of the lastSendTime attribute

    - #### isSetNextSendTime

          public boolean isSetNextSendTime()

      Determine if the nextSendTime attribute is set
      Specified by:
        `isSetNextSendTime` in interface `EventClient`
      Returns:
        `true` if the nextSendTime attribute is set

    - #### setNextSendTime

          public void setNextSendTime(int aNextSendTime)

      Set the nextSendTime attribute.
      Specified by:
        `setNextSendTime` in interface `EventClient`
      Parameters:
        `aNextSendTime` - the new value for the nextSendTime attribute

    - #### getNextSendTime

          public int getNextSendTime()

      Get the value of the nextSendTime attribute.
      Specified by:
        `getNextSendTime` in interface `EventClient`
      Returns:
        the value of the nextSendTime attribute

    - #### isSetNextNumber

          public boolean isSetNextNumber()

      Determine if the nextNumber attribute is set
      Specified by:
        `isSetNextNumber` in interface `EventClient`
      Returns:
        `true` if the nextNumber attribute is set

    - #### setNextNumber

          public void setNextNumber(int aNextNumber)

      Set the nextNumber attribute.
      Specified by:
        `setNextNumber` in interface `EventClient`
      Parameters:
        `aNextNumber` - the new value for the nextNumber attribute

    - #### getNextNumber

          public int getNextNumber()

      Get the value of the nextNumber attribute.
      Specified by:
        `getNextNumber` in interface `EventClient`
      Returns:
        the value of the nextNumber attribute

    - #### isSetBusy

          public boolean isSetBusy()

      Determine if the busy attribute is set
      Specified by:
        `isSetBusy` in interface `EventClient`
      Returns:
        `true` if the busy attribute is set

    - #### setBusy

          public void setBusy(int aBusy)

      Set the busy attribute.
      Specified by:
        `setBusy` in interface `EventClient`
      Parameters:
        `aBusy` - the new value for the busy attribute

    - #### getBusy

          public int getBusy()

      Get the value of the busy attribute.
      Specified by:
        `getBusy` in interface `EventClient`
      Returns:
        the value of the busy attribute

    - #### addEvents

          public void addEvents(Event aevents)

      Add a com.sun.grid.jgdi.configuration.Event attribute.
      Specified by:
        `addEvents` in interface `EventClient`
      Parameters:
        `aevents` - the new com.sun.grid.jgdi.configuration.Event attribute

    - #### setEvents

          public void setEvents(int index,
                                Event aevents)

      Set a com.sun.grid.jgdi.configuration.Event attribute.
      Specified by:
        `setEvents` in interface `EventClient`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Event attribute
        `aevents` - the new com.sun.grid.jgdi.configuration.Event attribute

    - #### removeAllEvents

          public void removeAllEvents()

      Remove all com.sun.grid.jgdi.configuration.Event attributes.
      Specified by:
        `removeAllEvents` in interface `EventClient`

    - #### removeEvents

          public Event removeEvents(int index)

      Remote a com.sun.grid.jgdi.configuration.Event attribute at an index.
      Specified by:
        `removeEvents` in interface `EventClient`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Event attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Event attribute or `null` if no attribute at this index is stored

    - #### removeEvents

          public boolean removeEvents(Event aevents)

      Remote a specific com.sun.grid.jgdi.configuration.Event attribute.
      Specified by:
        `removeEvents` in interface `EventClient`
      Parameters:
        `aevents` - the com.sun.grid.jgdi.configuration.Event attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Event attribute has been removed

    - #### getEventsList

          public java.util.List<Event> getEventsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Event attributes.
      Specified by:
        `getEventsList` in interface `EventClient`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Event attributes

    - #### getEventsCount

          public int getEventsCount()

      Get the number of com.sun.grid.jgdi.configuration.Event attributes.
      Specified by:
        `getEventsCount` in interface `EventClient`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Event attributes.

    - #### getEvents

          public Event getEvents(int index)

      Get a com.sun.grid.jgdi.configuration.Event attribute at an index.
      Specified by:
        `getEvents` in interface `EventClient`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Event attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Event attribute

    - #### isSetEvents

          public boolean isSetEvents()

      Determine if the events attribute is set
      Specified by:
        `isSetEvents` in interface `EventClient`
      Returns:
        `true` if the events attribute is set

    - #### isSetState

          public boolean isSetState()

      Determine if the state attribute is set
      Specified by:
        `isSetState` in interface `EventClient`
      Returns:
        `true` if the state attribute is set

    - #### setState

          public void setState(int aState)

      Set the state attribute.
      Specified by:
        `setState` in interface `EventClient`
      Parameters:
        `aState` - the new value for the state attribute

    - #### getState

          public int getState()

      Get the value of the state attribute.
      Specified by:
        `getState` in interface `EventClient`
      Returns:
        the value of the state attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `EventClient`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.